# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.12 required")
endif()
if(CMAKE_VERSION VERSION_LESS "2.8.12")
   message(FATAL_ERROR "CMake >= 2.8.12 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.8.12...3.31)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS kdefakes kdecore kdeui kpty kdesu kjs kjsapi kjsembed kntlm kio solid kunittest kde3support kfile knewstuff2 knewstuff3 kparts kemoticons kidletime kcmutils kprintutils kutils threadweaver khtml ktexteditor kmediaplayer kimproxy knotifyconfig kdnssd krosscore krossui plasma kunitconversion kdewebkit kdeclarative)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# The installation prefix configured by this project.
set(_IMPORT_PREFIX "/usr/pkg")

# Create imported target kdefakes
add_library(kdefakes SHARED IMPORTED)

# Create imported target kdecore
add_library(kdecore SHARED IMPORTED)

set_target_properties(kdecore PROPERTIES
  INTERFACE_LINK_LIBRARIES "Qt4::QtDBus;Qt4::QtCore;-lpthread"
)

# Create imported target kdeui
add_library(kdeui SHARED IMPORTED)

set_target_properties(kdeui PROPERTIES
  INTERFACE_LINK_LIBRARIES "kdecore;Qt4::QtGui;Qt4::QtSvg"
)

# Create imported target kpty
add_library(kpty SHARED IMPORTED)

set_target_properties(kpty PROPERTIES
  INTERFACE_LINK_LIBRARIES "kdecore;Qt4::QtCore;-lpthread"
)

# Create imported target kdesu
add_library(kdesu SHARED IMPORTED)

set_target_properties(kdesu PROPERTIES
  INTERFACE_LINK_LIBRARIES "Qt4::QtCore;-lpthread"
)

# Create imported target kjs
add_library(kjs SHARED IMPORTED)

# Create imported target kjsapi
add_library(kjsapi SHARED IMPORTED)

# Create imported target kjsembed
add_library(kjsembed SHARED IMPORTED)

# Create imported target kntlm
add_library(kntlm SHARED IMPORTED)

# Create imported target kio
add_library(kio SHARED IMPORTED)

set_target_properties(kio PROPERTIES
  INTERFACE_LINK_LIBRARIES "-lssl;-lcrypto;kdeui;kdecore;Qt4::QtNetwork;Qt4::QtXml;Qt4::QtGui"
)

# Create imported target solid
add_library(solid SHARED IMPORTED)

# Create imported target kunittest
add_library(kunittest SHARED IMPORTED)

set_target_properties(kunittest PROPERTIES
  INTERFACE_LINK_LIBRARIES "kdecore;Qt4::QtCore;-lpthread"
)

# Create imported target kde3support
add_library(kde3support SHARED IMPORTED)

set_target_properties(kde3support PROPERTIES
  INTERFACE_LINK_LIBRARIES "kio;kdeui;kdecore;Qt4::QtCore;-lpthread;Qt4::QtGui;Qt4::Qt3Support"
)

# Create imported target kfile
add_library(kfile SHARED IMPORTED)

set_target_properties(kfile PROPERTIES
  INTERFACE_LINK_LIBRARIES "kio;kdeui;kdecore;Qt4::QtGui"
)

# Create imported target knewstuff2
add_library(knewstuff2 SHARED IMPORTED)

set_target_properties(knewstuff2 PROPERTIES
  INTERFACE_LINK_LIBRARIES "kdeui;kdecore;Qt4::QtGui"
)

# Create imported target knewstuff3
add_library(knewstuff3 SHARED IMPORTED)

set_target_properties(knewstuff3 PROPERTIES
  INTERFACE_LINK_LIBRARIES "kdeui;kdecore;Qt4::QtGui"
)

# Create imported target kparts
add_library(kparts SHARED IMPORTED)

set_target_properties(kparts PROPERTIES
  INTERFACE_LINK_LIBRARIES "kio;kdeui;kdecore;Qt4::QtCore;-lpthread;Qt4::QtGui"
)

# Create imported target kemoticons
add_library(kemoticons SHARED IMPORTED)

set_target_properties(kemoticons PROPERTIES
  INTERFACE_LINK_LIBRARIES "kdecore;kdeui;Qt4::QtGui"
)

# Create imported target kidletime
add_library(kidletime SHARED IMPORTED)

set_target_properties(kidletime PROPERTIES
  INTERFACE_LINK_LIBRARIES "kdecore;kdeui;Qt4::QtGui"
)

# Create imported target kcmutils
add_library(kcmutils SHARED IMPORTED)

set_target_properties(kcmutils PROPERTIES
  INTERFACE_LINK_LIBRARIES "kdecore;kdeui;Qt4::QtGui"
)

# Create imported target kprintutils
add_library(kprintutils SHARED IMPORTED)

set_target_properties(kprintutils PROPERTIES
  INTERFACE_LINK_LIBRARIES "kdecore;kdeui;Qt4::QtGui"
)

# Create imported target kutils
add_library(kutils SHARED IMPORTED)

set_target_properties(kutils PROPERTIES
  INTERFACE_LINK_LIBRARIES "kdecore;kdeui;Qt4::QtGui;kemoticons;kidletime;kcmutils;kprintutils"
)

# Create imported target threadweaver
add_library(threadweaver SHARED IMPORTED)

set_target_properties(threadweaver PROPERTIES
  INTERFACE_LINK_LIBRARIES "Qt4::QtCore;-lpthread"
)

# Create imported target khtml
add_library(khtml SHARED IMPORTED)

set_target_properties(khtml PROPERTIES
  INTERFACE_LINK_LIBRARIES "/usr/pkg/lib/libphonon.so;kparts;kjs;kio;kdeui;kdecore;Qt4::QtCore;-lpthread;Qt4::QtGui"
)

# Create imported target ktexteditor
add_library(ktexteditor SHARED IMPORTED)

set_target_properties(ktexteditor PROPERTIES
  INTERFACE_LINK_LIBRARIES "kparts"
)

# Create imported target kmediaplayer
add_library(kmediaplayer SHARED IMPORTED)

set_target_properties(kmediaplayer PROPERTIES
  INTERFACE_LINK_LIBRARIES "kparts;Qt4::QtGui"
)

# Create imported target kimproxy
add_library(kimproxy SHARED IMPORTED)

set_target_properties(kimproxy PROPERTIES
  INTERFACE_LINK_LIBRARIES "Qt4::QtCore;-lpthread"
)

# Create imported target knotifyconfig
add_library(knotifyconfig SHARED IMPORTED)

set_target_properties(knotifyconfig PROPERTIES
  INTERFACE_LINK_LIBRARIES "kdecore;Qt4::QtGui"
)

# Create imported target kdnssd
add_library(kdnssd SHARED IMPORTED)

set_target_properties(kdnssd PROPERTIES
  INTERFACE_LINK_LIBRARIES "kdecore;Qt4::QtCore;-lpthread"
)

# Create imported target krosscore
add_library(krosscore SHARED IMPORTED)

set_target_properties(krosscore PROPERTIES
  INTERFACE_LINK_LIBRARIES "kdecore;Qt4::QtScript;Qt4::QtXml"
)

# Create imported target krossui
add_library(krossui SHARED IMPORTED)

# Create imported target plasma
add_library(plasma SHARED IMPORTED)

set_target_properties(plasma PROPERTIES
  INTERFACE_LINK_LIBRARIES "kdeui;kdecore;Qt4::QtGui"
)

# Create imported target kunitconversion
add_library(kunitconversion SHARED IMPORTED)

# Create imported target kdewebkit
add_library(kdewebkit SHARED IMPORTED)

set_target_properties(kdewebkit PROPERTIES
  INTERFACE_LINK_LIBRARIES "kparts;kio;kdecore;Qt4::QtWebKit;Qt4::QtNetwork;Qt4::QtGui;Qt4::QtCore;-lpthread"
)

# Create imported target kdeclarative
add_library(kdeclarative SHARED IMPORTED)

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/KDeclarativeLibraryTargets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  if(CMAKE_VERSION VERSION_LESS "3.28"
      OR NOT DEFINED _cmake_import_check_xcframework_for_${_cmake_target}
      OR NOT IS_DIRECTORY "${_cmake_import_check_xcframework_for_${_cmake_target}}")
    foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
      if(NOT EXISTS "${_cmake_file}")
        message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
      endif()
    endforeach()
  endif()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
